<?php $__env->startSection('title'); ?>
Dashboard
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>" type="text/css">
<link rel="stylesheet" href="<?php echo e(asset('assets/css/theme-sugar.css')); ?>" type="text/css">
<link rel="stylesheet" href="<?php echo e(asset('assets/css/element-ui/index.css')); ?>" type="text/css">
<link rel="stylesheet" href="<?php echo e(asset('assets/vendor/vue-select/vue-select.css')); ?>" type="text/css">


<style>
    .page-item .page-link {
        width: 2rem;
        height: 2rem;

        font-size: 0.75rem;
    }

    .overlay-container {
        position: relative;
    }

    .overlay-image {
        opacity: 1;
        display: block;

        transition: .5s ease;
        backface-visibility: hidden;
    }

    .overlay-middle {
        transition: .5s ease;
        opacity: 0;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
        text-align: center;
    }

    .overlay-container:hover .overlay-image {
        opacity: 0.3;
    }

    .overlay-container:hover .overlay-middle {
        opacity: 1;
    }

    .overlay-text {
        background-color: #4CAF50;
        color: white;
        font-size: 16px;
        padding: 16px 32px;
    }
</style>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('search-box'); ?>
<div class="navbar-search navbar-search-light form-inline mr-sm-3" id="navbar-search-main">
    <div class="form-group mb-0" :class="{'focused':table.filters[0].value||table.filters[0].focus}">
        <div class="input-group input-group-alternative input-group-merge">
            <div class="input-group-prepend">
                <span class="input-group-text"><i class="fas fa-search"></i></span>
            </div>
            <input @blur.self="table.filters[0].focus = false" @click="table.filters[0].focus=true" v-model.trim="table.filters[0].value" class="form-control" placeholder="Cari Soal" type="text">

            <div v-if="table.filters[0].value" class="input-group-append mr-2 d-none d-md-flex" @click="table.filters[0].value =  ''">
                <button class="input-group-text"><i class="fas fa-backspace"></i></button>
            </div>

            <div class="input-group-append d-md-none d-flex">
                <button v-if="table.filters[0].value" @click="table.filters[0].value =  ''" class="input-group-text pr-0 pl-2"><i class="fas fa-backspace"></i></button>

                <button data-action="search-close" class="mr-2 input-group-text"><i class="fas fa-times"></i></button>
            </div>
        </div>
    </div>

</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('mobile-search'); ?>
<?php echo $__env->make('dashboard.components.mobile-search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-title'); ?>
<h6 class="h2 text-white d-inline-block mb-0">
    Soal Latihan <?php echo e(strtoupper(Request::segment(3))); ?>

</h6>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<li class="breadcrumb-item text-white">
    <i class="ni ni-ungroup"></i>
</li>
<li class="breadcrumb-item text-white"><?php echo e(ucfirst(Request::segment(1))); ?></li>
<li class="breadcrumb-item text-white"><?php echo e(ucfirst(Request::segment(2))); ?></li>
<li class="breadcrumb-item text-white"><?php echo e(strtoupper(Request::segment(3))); ?></li>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="mb-4">
    <div class="d-flex justify-content-center" v-if="!isLoaded && !isFailed" :class="{'d-none' : isLoaded && !isFailed}">
        <div class="col-12 card">
            <div class="card-body text-center">
                <div class="spinner">
                    <div class="rect1 bg-primary"></div>
                    <div class="rect2 bg-primary"></div>
                    <div class="rect3 bg-primary"></div>
                    <div class="rect4 bg-primary"></div>
                    <div class="rect5 bg-primary"></div>
                </div>
                <h4 class="mt-4 text-primary">
                    Sedang memuat data..
                </h4>
            </div>
        </div>
    </div>

    <div class="d-flex justify-content-center d-none" :class="{'d-block':isFailed}" v-if="isFailed">
        <div class="col-12 card">
            <div class="card-body text-center text-warning">
                <i class="mt-4 fas fa-exclamation-triangle fa-5x"></i>
                <h4 class="mt-4 text-warning">
                    Gagal memuat data. Silahkan refresh halaman.
                </h4>
            </div>
        </div>
    </div>

    <div v-if="isLoaded" class="d-none" :class="{'d-block':isLoaded}">
        <div class="row">
            <div class="col-12">
                <div class="card d-none d-lg-block">
                    <div class="card-header">
                        <h3 class="text-primary">List Soal</h3>
                    </div>
                    <div class="card-body">
                        <data-tables ref="dt" style="width: 100%" :page-size.sync="table.pagination.perPage" :current-page.sync="table.pagination.current" @current-page-change="handleCurrentPageChange" :filters="table.filters" :table-props="table.props" :data="latihans" :pagination-props="table.pagination">


                            <el-table-column label="Nama" min-width="200%" prop="nama" sortable="true">
                                <template slot-scope="scope">
                                    {{ scope . row . nama . toUpperCase() }}
                                </template>
                            </el-table-column>

                            <el-table-column label="Kelas" min-width="70%" prop="kelas_nama" sortable="true">
                                <template slot-scope="scope">

                                    {{ scope . row . kelas_nama . toUpperCase() }}

                                </template>
                            </el-table-column>

                            <el-table-column label="Jumlah Soal" min-width="120%" prop="jumlah_soal" sortable="true" align="center">
                                <template slot-scope="scope">

                                    {{ scope . row . jumlah_soal}}

                                </template>
                            </el-table-column>


                            <el-table-column label="Durasi" prop="durasi" min-width="100%" sortable="true" align="center">
                                <template slot-scope="scope">
                                    <span class="h2">
                                        <span class="badge badge-pill badge-primary">
                                            <i class="fas fa-stopwatch">
                                            </i>
                                            <span>
                                                {{ scope . row . durasi + ' menit' }}
                                            </span>
                                        </span>
                                    </span>

                                </template>
                            </el-table-column>

                            <el-table-column label="Mulai" min-width="100%" prop="start" sortable="true" align="center">
                                <template slot-scope="scope">
                                    <div class="d-flex flex-column h2">
                                        <span class="badge badge-pill badge-primary">
                                            <i class="fas fa-calendar-check">
                                            </i>
                                            <span>
                                                {{ new Date(scope . row . start).toLocaleDateString('id-ID')}}
                                            </span>
                                        </span>

                                        <span class="mt-1 badge badge-pill badge-primary">
                                            <i class="fas fa-clock">
                                            </i>
                                            <span>
                                                {{ new Date(scope . row . start).toLocaleTimeString('id-ID')}}
                                            </span>
                                        </span>
                                    </div>
                                </template>
                            </el-table-column>

                            <el-table-column label="Pembahasan" min-width="100%">
                                <template slot-scope="scope" align="center">

                                    <div v-if="Date.now() >= scope . row . end">
                                        <el-tooltip v-if="scope.row.paket.video_pembahasan" class="item" effect="dark" content="Video Pembahasan" placement="top">
                                            <button @click="showVideo(scope.row, scope.row.paket.video_pembahasan)" type="button" class="mr-0 mt-1 btn btn-outline-danger btn-sm btn-icon-only">
                                                <span class="btn-inner--icon"><i class="fab fa-youtube"></i></span>
                                            </button>
                                        </el-tooltip>

                                        <el-tooltip v-if="scope.row.paket.doc_pembahasan" class="item" effect="dark" content="Pembahasan PDF" placement="top">
                                            <a :href="'https://drive.google.com/file/d/'+scope.row.paket.doc_pembahasan+'/view?usp=sharing'" target="_blank">
                                                <button type="button" class="mr-0 mt-1 btn btn-outline-primary btn-sm btn-icon-only">
                                                    <span class="btn-inner--icon"><i class="fas fa-file-pdf"></i></span>
                                                </button>
                                            </a>
                                        </el-tooltip>

                                        <div v-if="!scope.row.paket.video_pembahasan && !scope.row.paket.doc_pembahasan">
                                            <h4>
                                                <span class="badge badge-pill badge-default">
                                                    Tidak tersedia
                                                </span>
                                            </h4>
                                        </div>


                                        
                                    </div>

                                    <div v-else>
                                        <div class="d-flex flex-column h2">
                                            <span class="badge badge-pill badge-warning">
                                                <i class="fas fa-calendar-check">
                                                </i>
                                                <span>
                                                    {{ new Date(scope . row . end).toLocaleDateString('id-ID')}}
                                                </span>
                                            </span>

                                            <span class="mt-1 badge badge-pill badge-warning">
                                                <i class="mt-1 fas fa-clock">
                                                </i>
                                                <span>
                                                    {{ new Date(scope . row . end).toLocaleTimeString('id-ID')}}
                                                </span>
                                            </span>
                                        </div>

                                    </div>

                                </template>
                            </el-table-column> --}}

                            <el-table-column label="Actions" min-width="110%">
                                <template slot-scope="scope" align="center">

                                    <div v-if="Date.now() >= scope . row . start">
                                        <el-tooltip class="item" effect="dark" content="Lihat Rangking" placement="top">
                                            <a :href="'<?php echo e(url('/ujian/'.Request::segment(2).'/')); ?>/'+scope.row.kode+'/rangking'">
                                                <button type="button" class="mr-0 mt-1 btn btn-outline-success btn-sm btn-icon-only">
                                                    <span class="btn-inner--icon"><i class="fas fa-chart-line"></i></span>
                                                </button>
                                            </a>

                                        </el-tooltip>

                                        <el-tooltip class="item" effect="dark" content="Lihat Riwayat dan Hasil" placement="top">

                                            <a :href="'<?php echo e(url('/ujian/'.Request::segment(2).'/')); ?>/'+scope.row.kode+'/riwayat'">
                                                <button type="button" class="mr-0 mt-1 btn btn-outline-info btn-sm btn-icon-only">
                                                    <span class="btn-inner--icon">
                                                        <i class="fas fa-history"></i>
                                                    </span>
                                                </button>
                                            </a>
                                        </el-tooltip>

                                        <el-tooltip class="item" effect="dark" content="Kerjakan" placement="top">
                                            <a :href="'<?php echo e(url('/ujian/'.Request::segment(2).'/')); ?>/'+scope.row.kode+'/start'">
                                                <button style="height: 2rem" type="button" class="mr-0 mt-1 btn btn-outline-primary btn-sm">Kerjakan</button>
                                            </a>
                                        </el-tooltip>
                                    </div>

                                    <div v-else>
                                        <div class="d-flex flex-column h2">
                                            <span class="badge badge-pill badge-primary">
                                                <i class="fas fa-calendar-check">
                                                </i>
                                                <span>
                                                    {{ new Date(scope . row . start).toLocaleDateString('id-ID')}}
                                                </span>
                                            </span>

                                            <span class="mt-1 badge badge-pill badge-primary">
                                                <i class="fas fa-clock">
                                                </i>
                                                <span>
                                                    {{ new Date(scope . row . start).toLocaleTimeString('id-ID')}}
                                                </span>
                                            </span>
                                        </div>
                                    </div>


                                </template>
                            </el-table-column> --}}

                        </data-tables>
                    </div>

                    <div class="card-footer d-flex  justify-content-around align-items-end pt-2">

                        <div class="col-md-2 col-sm-6 px-2 d-flex flex-column">
                            <label class="h5" for="perpage">Item/Halaman</label>

                            <select id="perpage" v-model="table.pagination.perPage" class="form-control form-control-sm" id="inlineFormCustomSelect">
                                <option v-for="item in pageSizes.length" :key="item" :value="pageSizes[item-1]">
                                    {{ pageSizes[item - 1] + '/page' }}</option>
                            </select>
                        </div>

                        <div class="col-md-8 col-sm-12 d-flex flex-column justify-content-center text-center">
                            <h5>Jumlah data: {{ table.itemSize }}</h5>
                            <paginate :value="table.pagination.current" :page-count="numberPages" :page-range="3" :click-handler="clickCallback" :prev-text="''" :next-text="''" :container-class="'pagination justify-content-center mb-0'" :page-class="'page-item'" :page-link-class="'page-link btn-sm'" :prev-class="'page-item'" :prev-link-class="'fas fa-angle-left page-link'" :next-class="'page-item'" :next-link-class="'fas fa-angle-right page-link'" :hide-prev-next="false" :break-view-text="''" :break-view-link-class="'fas fa-ellipsis-h'">
                            </paginate>
                        </div>

                        <div class="col-md-2 col-sm-6 px-2 d-flex flex-column">
                            <label class="h5" for="to-page">Ke Halaman</label>
                            <input type="number" min="1" max="numberPage" v-model.number="table.pagination.current" id="to-page" class="form-control form-control-sm">
                        </div>

                    </div>
                </div>

                <div class="card-body d-lg-none">
                    <div class="row">
                        <div class="mb-4 col-sm-12 col-md-6" v-for="(e, i) in filtered" :key="i">
                            <div class="card h-100">
                                <div class="card-body pb-0">
                                    <h4 class="card-title text-uppercase text-primary mb-0">
                                        {{e.nama}}
                                    </h4>

                                    <div class="mt-1">
                                        <span class="text-sm text-muted">Kelas:</span>
                                        <br>
                                        <span class="h5 text-capitalize">{{e.kelas_nama.toLowerCase()}}</span>
                                    </div>

                                    <div class="row mt-1">
                                        <div class="col-4 pr-0">
                                            <span class="text-sm text-muted">Jml. Soal:</span>
                                            <br>
                                            <span class="h4">{{e.jumlah_soal}}</span>
                                        </div>

                                        <div class="col-4 p-0">
                                            <span class="text-sm text-muted">Durasi:</span>
                                            <br>
                                            <span class="h4">{{e.durasi}} <span class="h5 ">menit</span></span>
                                        </div>

                                        <div class="col-4 pl-0">
                                            <span class="text-sm text-muted">Mulai:</span>
                                            <br>
                                            <div class="d-flex flex-column h3">
                                                <span class="w-100 badge badge-pill badge-primary mr-2">
                                                    <i class="fas fa-calendar-check"></i>
                                                    <span>
                                                        {{ new Date(e.start).toLocaleDateString('id-ID')}}
                                                    </span>
                                                </span>

                                                <span class="w-100 mt-1 badge badge-pill badge-primary">
                                                    <i class="fas fa-clock"></i>
                                                    <span>
                                                        {{ new Date(e.start).toLocaleTimeString('id-ID')}}
                                                    </span>
                                                </span>

                                            </div>
                                        </div>
                                    </div>

                                    <div class="mt-1">
                                        <span class="text-sm text-muted mb-1">Pembahasan:</span>
                                        <br>
                                        <div v-if="Date.now() >= e.end">
                                            <div class="d-flex flex-wrap">
                                                <a :href="'https://drive.google.com/file/d/'+e.paket.doc_pembahasan+'/view?usp=sharing'" target="_blank">
                                                    <button v-if="e.paket.doc_pembahasan" type="button" class="mr-2 my-1 btn btn-sm btn-primary btn-icon">
                                                        <span class="btn-inner--icon"><i class="fas fa-file-pdf"></i></span>
                                                        <span class="ml-1 btn-inner--text">PDF</span>
                                                    </button>
                                                </a>

                                                <button @click="showVideo(e, e.paket.video_pembahasan)" v-if="e.paket.video_pembahasan" type="button" class="mr-2 my-1 btn btn-sm btn-youtube btn-icon">
                                                    <span class="btn-inner--icon"><i class="fab fa-youtube"></i></span>
                                                    <span class="ml-1 btn-inner--text">Video</span>
                                                </button>
                                            </div>

                                            <div v-if="!e.paket.video_pembahasan && !e.paket.doc_pembahasan">
                                                <h4>
                                                    <span class="badge badge-pill badge-default">
                                                        Tidak tersedia
                                                    </span>
                                                </h4>
                                            </div>
                                        </div>

                                        <div v-else>
                                            <div class="h2">
                                                <span class="badge badge-pill badge-warning">
                                                    <i class="fas fa-calendar-check">
                                                    </i>
                                                    <span>
                                                        {{ new Date(e.end).toLocaleDateString('id-ID')}}
                                                    </span>
                                                </span>

                                                <span class="mt-1 badge badge-pill badge-warning">
                                                    <i class="fas fa-clock">
                                                    </i>
                                                    <span>
                                                        {{ new Date(e.end).toLocaleTimeString('id-ID')}}
                                                    </span>
                                                </span>
                                            </div>

                                        </div>

                                    </div>

                                    <div class="mt-4">
                                        <div class="d-flex  justify-content-between">
                                            <a :href="'<?php echo e(url('/ujian/'.Request::segment(2).'/')); ?>/'+e.kode+'/rangking'">
                                                <button type="button" class="btn btn-slack btn-icon">
                                                    <span class="btn-inner--icon"><i class="fas fa-chart-line"></i></span>
                                                    <span class="btn-inner--text">Rangking</span>
                                                </button>
                                            </a>

                                            <a :href="'<?php echo e(url('/ujian/'.Request::segment(2).'/')); ?>/'+e.kode+'/riwayat'">
                                                <button type="button" class="btn btn-twitter btn-icon">
                                                    <span class="btn-inner--icon"><i class="fas fa-history"></i></span>
                                                    <span class="btn-inner--text">Riwayat</span>
                                                </button>
                                            </a>
                                        </div>
                                    </div>

                                </div>
                                <a :href="'<?php echo e(url('/ujian/'.Request::segment(2).'/')); ?>/'+e.kode+'/start'">
                                    <div class="mb-0 bg-transparent py-3 card-footer d-flex flex-wrap justify-content-between arrow-circle-right text-primary h4">
                                        <span>Kerjakan</span>
                                        <span><i class="fas fa-arrow-circle-right"></i></span>
                                    </div>
                                </a>
                            </div>
                            <!-- /.card -->
                        </div>

                    </div>

                </div>
            </div>

        </div>

        <modal-video v-if="video.show" :judul="video.judul" :youtube_id="video.video" v-on:close="closeVideo">
        </modal-video>

    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/js/element-ui/index.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/element-ui/locales/en.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/element-ui/data-tables.js')); ?>"></script>

<script src="<?php echo e(asset('assets/js/vue-paginate.js')); ?>"></script>

<script src="../../assets/js/vue/modal-video.js"></script>


<script>
    const base = "<?php echo e(url('/')); ?>/api"

    const tryout_url = base + "/soal/latihan/<?php echo e(strtolower(Request::segment(3))); ?>"

    ELEMENT.locale(ELEMENT.lang.en)
    Vue.use(DataTables.DataTables)

    Vue.component('paginate', VuejsPaginate)

    var app = new Vue({
        el: '#panel',
        data: {
            video: {
                show: false,
                judul: '',
                video: ''
            },
            table: {
                itemSize:0,
                header: [],
                props: {

                },
                filters: [{
                    prop: ['nama', 'kelas_nama', 'durasi', 'start', 'end', 'jumlah_soal'],
                    value: '',
                    focus: false
                }],
                pagination: {
                    pageSizes: [10, 30, 50],
                    current: 1,
                    perPage: 10
                }
            },
            isFailed: false,
            isLoaded: false,
            latihans: []
        },
        methods: {
            timeStamp(time) {
                return Math.ceil(time / 1000)
            },
            clickCallback(page) {
                this.table.pagination.current = page
            },
            handleCurrentPageChange(page) {
                this.table.pagination.current = page
            },
            showToast(msg, type) {
                Vue.$toast.open({
                    message: msg,
                    type: type,
                });
            },
            showVideo(row, video) {
                let modal = this.video
                modal.video = video
                modal.judul = (row.nama).toUpperCase()
                modal.show = true
            },
            closeVideo() {
                this.video.show = false
                this.video.data = {}
            },
            async initialLoad() {
                await axios
                    .get(tryout_url)
                    .then((response) => {

                        let data = []

                        response.data.data.forEach(to => {
                            this.latihans.push({
                                id: to.id,
                                kode: to.kode,
                                nama: to.nama,
                                durasi: to.durasi,
                                kelas_id: to.kelas.id,
                                paket_id: to.paket.id,
                                start: to.start * 1000,
                                end: to.end * 1000,
                                kelas_nama: to.kelas.nama,
                                kelas_kode: to.kelas.kode,
                                paket_nama: to.paket.nama,
                                paket_kode: to.paket.kode,
                                kelas: to.kelas,
                                paket: to.paket,
                                jumlah_soal: to.paket.jumlah_soal,
                            })
                        });

                        this.isLoaded = true

                    }, (error) => {
                        this.isLoaded = false
                        this.isFailed = true
                    })
            }
        },
        computed: {
            cekFormTambah() {
                let tambah = this.form.data

                return (tambah.nama && tambah.durasi && tambah.start && tambah.end && tambah.kelas && tambah.paket)
            },
            numberPages() {
                return Math.ceil(this.table.itemSize / this.table.pagination.perPage)
            },
            pageSizes() {
                if (this.latihans.length > 100) {
                    return [
                        5, 10, 30, 50, 100
                    ]
                }

                return [
                    5, 10, 30, 50, this.latihans.length
                ]
            },
            filtered() {
                let search = this.table.filters[0].value.toLowerCase().trim()
                let filtered = [...this.latihans]

                if (!search) return this.latihans

                return filtered.filter(c => c.nama.toLowerCase().indexOf(search) > -1);
            },
        },
        watch: {
            'table.pagination.current'(newVal) {
                if (!newVal || newVal == 0) {
                    this.table.pagination.current = 1
                }
                if (newVal > this.numberPages) {
                    this.table.pagination.current = this.numberPages
                }
            }
        },
        created() {
            this.initialLoad()

        },
        updated() {
            Vue.set(this.table, 'itemSize', this.$refs.dt.total)
            if (this.$refs.dt.$refs.elPagination) {
                this.$refs.dt.$refs.elPagination.$el.className = 'd-none'
            }
        },
    })
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('dashboard.components.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dosp7473/public_html/cpns/dashboard/resources/views/dashboard/soal/latihan/user.blade.php ENDPATH**/ ?>