<?php $__env->startSection('title'); ?>
Dashboard - Ujian
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/css/custom.css')); ?>" type="text/css">
<link rel="stylesheet" href="<?php echo e(asset('assets/css/theme-sugar.css')); ?>" type="text/css" type="text/css">

<style>
    img {
        max-width: 100%;
    }
</style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-title'); ?>
<h6 class="h2 text-white d-inline-block mb-0">
    {{ (ujian.latihan)?ujian.latihan.nama.toUpperCase():'' }}
</h6>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<li class="breadcrumb-item text-white">
    <i class="fas fa-paper-plane"></i>
</li>
<li class="breadcrumb-item text-white"><?php echo e(ucfirst(Request::segment(1))); ?></li>
<li class="breadcrumb-item text-white"><?php echo e(ucfirst(Request::segment(2))); ?></li>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div id="app">
    <div v-if="!isSubmitting">
        <div class="d-flex justify-content-center" v-if="!isLoaded && !isFailed">
            <div class="col-12 card">
                <div class="card-body text-center">
                    <div class="spinner">
                        <div class="rect1 bg-primary"></div>
                        <div class="rect2 bg-primary"></div>
                        <div class="rect3 bg-primary"></div>
                        <div class="rect4 bg-primary"></div>
                        <div class="rect5 bg-primary"></div>
                    </div>
                    <h4 class="mt-4 text-primary">
                        Sedang memuat data..
                    </h4>
                </div>
            </div>
        </div>

        <div class="d-flex justify-content-center" v-if="isFailed">
            <div class="col-12 card">
                <div class="card-body text-center text-warning">
                    <i class="mt-4 fas fa-exclamation-triangle fa-5x"></i>
                    <h4 class="mt-4 text-warning">
                        Gagal memuat data. Silahkan refresh halaman.
                    </h4>
                </div>
            </div>
        </div>

        <div class="justify-content-center" v-if="isLoaded && isDone">
            <div class="col-12 card">
                <div class="card-body text-center text-primary">
                    <i class="mt-4 fas fa-check-circle fa-5x"></i>
                    <h4 class="mt-4 text-primary">
                        Anda sudah menyelesaikan sesi ini pada
                        {{ getSubmitedTime() }}
                    </h4>

                    <div class="mt-2 py-3   d-flex flex-wrap align-content-center justify-content-center">
                        <!-- <a href="<?php echo e(url('/')); ?>" class="mt-2 btn btn-icon btn-warning" type="button">
                            <span class="btn-inner--icon"><i class="fas fa-home"></i></span>
                            <span class="btn-inner--text">Kembali</span>
                        </a> -->
                        <?php
                        $riwayat=url('/ujian/latihan').'/'.Request::segment(3);
                        ?>

                        <a href="<?php echo e($riwayat.'/riwayat'); ?>" class="mt-2 btn btn-icon btn-primary" type="button">
                            <span class="btn-inner--icon"><i class="fas fa-chart-pie"></i></span>
                            <span class="btn-inner--text">Hasil dan Nilai</span>
                        </a>

                        <a v-if="!ujian.latihan.end || ujian.latihan.end*1000 <= Date.now()" href="<?php echo e(Request::url().'/review'); ?>" class="mt-2 btn btn-icon btn-success" type="button">
                            <span class="btn-inner--icon"><i class="fas fa-eye"></i></span>
                            <span class="btn-inner--text">Review</span>
                        </a>

                        <a href="<?php echo e(url('/ujian/latihan/'.Request::segment(3).'/start')); ?>" class="mt-2 btn btn-icon btn-warning" type="button">
                            <span class="btn-inner--icon"><i class="fas fa-sync"></i></span>
                            <span class="btn-inner--text">Ulangi</span>
                        </a>
                    </div>


                </div>
            </div>
        </div>

        <div class="justify-content-center" v-if="isLoaded && isTimeUp && !isDone">
            <div class="col-12 card">
                <div class="card-body text-center text-danger">
                    <div class="spinner">
                        <div class="rect1 bg-danger"></div>
                        <div class="rect2 bg-danger"></div>
                        <div class="rect3 bg-danger"></div>
                        <div class="rect4 bg-danger"></div>
                        <div class="rect5 bg-danger"></div>
                    </div>
                    <h4 class="mt-4 text-danger">
                        Waktu mengerjakan sudah habis. Sedang menyimpan data...
                    </h4>


                </div>
            </div>
        </div>

        <div v-if="isLoaded && !isDone && !isTimeUp && !isFailed">
            <div id="navigasi-soal-fixed" class="d-lg-none">
                <div id="next-prev-fixed" class="fixed-bottom">
                    <div class="card card-stats mb-0 text-center">
                        <div class="card-body py-2">
                            <div class="row">
                                <div class="col-6 col-xs-12">
                                    <button type="button" class="px-1 btn btn-primary btn-md btn-icon btn-block" :disabled="currentIndex==0" v-on:click="prevQuestion">
                                        <span class="btn-inner--icon"><i class="fas fa-chevron-left"></i></span>
                                        <span class="btn-inner--text">Prev</span>
                                    </button>
                                </div>
                                <div class="col-6 col-xs-12">
                                    <button type="button" class="px-1 btn btn-primary btn-md  btn-icon  btn-block" :disabled="currentIndex == ujian.paket.jumlah_soal-1" v-on:click="nextQuestion">
                                        <span class="btn-inner--text">Next</span>
                                        <span class="btn-inner--icon"><i class="fas fa-chevron-right"></i></span>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>

            <div id="sisa-waktu-sticky" class="sticky-top d-lg-none">
                <div class="card card-stats mb-2 text-center">

                    <div class="card-body py-2">
                        <div class="row align-items-center">
                            <div class="col">
                                <h6 class="card-title text-uppercase text-muted mb-0">Sisa Waktu</h6>
                                <span class="display-1 font-weight-bold mb-0" :class="(countDown.minute < 1)?'text-danger':'text-primary'">
                                    {{ formatedCountDown . minute }} : {{ formatedCountDown . second }}
                                </span>
                            </div>
                            <div class="col">
                                <div class="icon icon-shape text-white rounded-circle shadow align-middle" :class="(countDown.minute < 1)?'bg-danger':'bg-primary'">
                                    <i class="fas fa-clock"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12 col-lg-9">
                    <div class="card">
                        <div class="card-header bg-transparent">
                            <div class="d-flex flex-column">
                                <span class="h4 text-primary ">Kategori :
                                    {{getKategori(ujian.paket.soal[currentIndex].kategori)}}</span>
                                <span class="h4 text-primary">
                                    <i class="fas fa-stopwatch mr-1">
                                    </i>{{convertMenit(ujian.paket.soal[currentIndex].time)}}

                                </span>
                            </div>
                        </div>

                        <div id="quiz-section" class="card-body">
                            <div id="pertanyaan" class="mb-4">
                                <h3>
                                    <div class="d-flex flex-row">
                                        <p class="mr-2">
                                            {{ currentIndex + 1 }}.
                                        </p>
                                        <p class="" v-html="ujian.paket . soal[currentIndex] . pertanyaan">
                                        </p>
                                    </div>
                                </h3>

                                <div id="pilihan">
                                    <div v-for="(value, name, index) in ujian.paket.soal[currentIndex].pilihan" :key="index">
                                        <div class="my-1 p-2 d-flex flex-row align-items-center div-hover" v-on:click="chooseAnswer(currentIndex, name)" :class="(ujian.paket.soal[currentIndex].jawaban == name.toUpperCase() && !ujian.paket.soal[currentIndex].ragu)?'table-primary':(ujian.paket.soal[currentIndex].jawaban == name.toUpperCase() && ujian.paket.soal[currentIndex].ragu)?'table-warning':''">
                                            <div class="p-2">{{name.toUpperCase()}}.</div>
                                            <div class="p-2 " v-html="value">
                                            </div>

                                            <div class="p-2 ml-auto">
                                                <div v-if="ujian.paket.soal[currentIndex].jawaban">
                                                    <i class="fa" :class="{
                                                       'fa-check text-primary': ujian.paket.soal[currentIndex].jawaban == name.toUpperCase() && !ujian.paket.soal[currentIndex].ragu,
                                                       'fa-flag text-warning':ujian.paket.soal[currentIndex].jawaban == name.toUpperCase() && ujian.paket.soal[currentIndex].ragu
                                                    }"></i>

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>

                            
                            <div class="row pt-2">
                                <div class="col-lg-3 col-md-6 col-sm-6 col-xs-12 mb-2">
                                    <button type="button" class="btn btn-danger btn-icon btn-block" v-on:click="lepasAnswer(currentIndex)" :disabled="!ujian.paket.soal[currentIndex].jawaban">
                                        <span class="btn-inner--icon">
                                            <i class="fas fa-times"></i>
                                        </span>
                                        <span class="btn-inner--text">
                                            Lepas
                                        </span>
                                    </button>
                                </div>
                                <div class="col-lg-3 col-md-6 col-sm-6 col-xs-12 mb-2">
                                    <button type="button" class="btn btn-warning btn-icon btn-block" v-on:click="raguAnswer(currentIndex)" :disabled="!ujian.paket.soal[currentIndex].jawaban || ujian.paket.soal[currentIndex].ragu">
                                        <span class="btn-inner--icon">
                                            <i class="fas fa-flag"></i>
                                        </span>
                                        <span class="btn-inner--text">
                                            Ragu
                                        </span>
                                    </button>
                                </div>
                                <div class="col-lg-3 col-md-6 col-sm-6 col-xs-12 mb-2">
                                    <button type="button" class="btn btn-primary btn-icon btn-block" v-on:click="kunciAnswer(currentIndex)" :disabled="!ujian.paket.soal[currentIndex].jawaban || !ujian.paket.soal[currentIndex].ragu">
                                        <span class="btn-inner--icon">
                                            <i class="fas fa-lock"></i>
                                        </span>
                                        <span class="btn-inner--text">
                                            Kunci
                                        </span>
                                    </button>
                                </div>
                                <div class="col-lg-3 col-md-6 col-sm-6 col-xs-12">
                                    <button type="button" class="btn btn-default btn-icon btn-block" v-on:click="showModalLaporSoal(ujian.paket.soal[currentIndex].id)">
                                        <span class="btn-inner--icon">
                                            <i class="fas fa-bullhorn"></i>
                                        </span>
                                        <span class="btn-inner--text">
                                            Laporkan
                                        </span>
                                    </button>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>

                <div id="right-sidebar" class="col-md-12 col-lg-3">
                    <div id="sisa-waktu" class="card d-none d-lg-block">
                        <div class="card-header bg-transparent">
                            <div class="row align-items-center">
                                <div class="col">
                                    <h5 class="h3 mb-0">Sisa Waktu</h5>
                                </div>
                            </div>
                        </div>
                        <div class="card-body overflow-auto text-center py-3" :class="(countDown.minute < 1)?'text-danger':'text-primary'">
                            <span style="font-size:3rem; font-weight: 800; line-height: 0.5">
                                {{ formatedCountDown . minute }} : {{ formatedCountDown . second }}
                            </span>
                        </div>
                    </div>

                    <div id="nomor-soal" class="card">
                        <div class="card-header bg-transparent">
                            <div class="row align-items-center">
                                <div class="col">
                                    <h5 class="h3 mb-0">Nomor Soal</h5>
                                </div>
                            </div>
                        </div>
                        <div class="card-body ">
                            <div class="mb-3 d-none d-lg-block">
                                <div class="row">
                                    <div class="col-6 col-xs-12">
                                        <button type="button" class="px-1 btn btn-primary btn-md btn-icon btn-block" :disabled="currentIndex==0" v-on:click="prevQuestion">
                                            <span class="btn-inner--icon">
                                                <i class="fas fa-chevron-left"></i>
                                            </span>
                                            <span class="btn-inner--text">
                                                Prev
                                            </span>
                                        </button>
                                    </div>
                                    <div class="col-6 col-xs-12">
                                        <button type="button" class="px-1 btn btn-primary btn-md  btn-icon  btn-block" :disabled="currentIndex == ujian.paket.jumlah_soal-1" v-on:click="nextQuestion">
                                            <span class="btn-inner--text">
                                                Next</span>
                                            <span class="btn-inner--icon">
                                                <i class="fas fa-chevron-right"></i>
                                            </span>
                                        </button>
                                    </div>
                                </div>
                            </div>

                            <div class="overflow-auto">
                                <div class="d-flex flex-wrap justify-content-center" style="max-height: 11.2rem">
                                    <span v-for="index in ujian.paket.jumlah_soal" :key="index" style="margin-right: 0.15rem !important; margin-left: 0.15rem !important">

                                        <div class="d-lg-none">
                                            <button type="button" class="btn btn-lg  btn-icon-only mb-1" :class="(index-1 == currentIndex)?'btn-primary':(ujian.paket.soal[index-1].jawaban && !ujian.paket.soal[index-1].ragu)?'btn-success':(ujian.paket.soal[index-1].ragu)?'btn-warning':'btn-outline-primary'" v-on:click="toQuestion(index-1)">
                                                <span class="btn-inner--icon">{{ index }}</span>
                                            </button>
                                        </div>

                                        <div class="d-none d-lg-block">
                                            <button type="button" class="btn btn-sm  btn-icon-only mb-1" :class="(index-1 == currentIndex)?'btn-primary':(ujian.paket.soal[index-1].jawaban && !ujian.paket.soal[index-1].ragu)?'btn-success':(ujian.paket.soal[index-1].ragu)?'btn-warning':'btn-outline-primary'" v-on:click="toQuestion(index-1)">
                                                <span class="btn-inner--icon">{{ index }}</span>
                                            </button>
                                        </div>
                                    </span>
                                </div>
                            </div>

                            <div class="mt-3">
                                <div class="row">
                                    <div class="col-12 col-md-12 col-sm-6">
                                        <button type="button" class="btn btn-success  btn-icon  btn-block" v-on:click="selesai">
                                            <span class="btn-inner--icon"><i class="fas fa-check"></i></span>
                                            <span class="btn-inner--text">Selesai</span>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div id="informasi" class="card">
                        <div class="card-header bg-transparent">
                            <div class="row align-items-center">
                                <div class="col">
                                    <h5 class="h3 mb-0">Informasi</h5>
                                </div>
                            </div>
                        </div>
                        <div class="card-body overflow-auto">
                            <div class="row">
                                <div class="col-6">
                                    <div class="w-100 card bg-primary text-center">
                                        <div class="card-body px-2 py-2">
                                            <h5 class="card-title text-uppercase text-muted mb-0 text-white">Soal</h5>
                                            <span class="h2 font-weight-bold mb-0 text-white">{{ ujian.paket.jumlah_soal }}</span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="w-100 card bg-success text-center">
                                        <div class="card-body px-2 py-2">
                                            <h5 class="card-title text-uppercase text-muted mb-0 text-white">Dijawab
                                            </h5>
                                            <span class="h2 font-weight-bold mb-0 text-white">{{ informasiJumlah . answered }}</span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="w-100 card bg-warning text-center">
                                        <div class="card-body px-2 py-2">
                                            <h5 class="card-title text-uppercase text-muted mb-0 text-white">Ragu</h5>
                                            <span class="h2 font-weight-bold mb-0 text-white">{{ informasiJumlah . ragu }}</span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="w-100 card bg-danger text-center">
                                        <div class="card-body px-2 py-2">
                                            <h5 class="card-title text-uppercase text-muted mb-0 text-white">Kosong</h5>
                                            <span class="h2 font-weight-bold mb-0 text-white">{{ informasiJumlah . blank }}</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

        </div>

    </div>

    <div v-if="isDone && isSubmitting">
        <div class="justify-content-center">
            <div class="col-12 card">
                <div class="card-body text-center text-primary">
                    <div class="spinner">
                        <div class="rect1 bg-primary"></div>
                        <div class="rect2 bg-primary"></div>
                        <div class="rect3 bg-primary"></div>
                        <div class="rect4 bg-primary"></div>
                        <div class="rect5 bg-primary"></div>
                    </div>
                    <h4 class="mt-4 text-primary">
                        Sedang menyimpan data...
                    </h4>
                </div>
            </div>
        </div>
    </div>

    <div v-if="modal.show" class="d-none" :class="{'d-block':modal.show}">
        <div class="modal fade show modal-active" tabindex="-1" role="dialog">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-body text-center text-danger pb-0">
                        <span>
                            <i class="fas fa-exclamation-triangle fa-4x"></i>
                        </span>
                        <p class="h3 text-danger mt-4">
                            {{modal.msg}}
                            Apakah Anda yakin ingin mengakhiri sesi dan menyimpan semua jawaban?
                        </p>
                    </div>
                    <div class="modal-footer ">
                        <button class="btn btn-secondary" @click="closeModal">Batal</button>
                        <button class="btn btn-danger" @click="endSession">Yakin</button>

                    </div>
                </div>
            </div>
        </div>
    </div>

    <div v-if="reportSoal.show" class="d-none" :class="{'d-block':reportSoal.show}">
        <div class="modal fade show modal-active" tabindex="-1" role="dialog">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-body text-danger pb-0">
                        <div class="text-center mb-4">
                            <span>
                                <i class="fas fa-info-circle fa-4x"></i>
                            </span>
                            <p class="h3 text-danger mt-4">
                                Apakah Anda yakin soal ini bermasalah?
                            </p>
                        </div>
                        <div class="form-group mb-0">
                            <label for="laporan">Laporan (Wajib diisi)</label>
                            <textarea v-model.trim="reportSoal.laporan" class="form-control" id="laporan" rows="3"></textarea>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-secondary" @click="closeModalLaporSoal">Batal</button>
                        <button class="btn btn-danger" @click="submitLaporan" :disabled="!reportSoal.laporan">Laporkan</button>

                    </div>
                </div>
            </div>
        </div>
    </div>

</div>


<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>

<script src="<?php echo e(asset('assets/js/axios.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/vue-toast-notification.js')); ?>"></script>
<script src='https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS-MML_HTMLorMML'></script>

<script type="text/x-mathjax-config">
    MathJax.Hub.Config({
        showMathMenu: false,
    messageStyle: "none",
    tex2jax: {inlineMath: [['$$','$$'], ['\\(','\\)']]},
    "HTML-CSS": { styles: {
    ".MathJax_Display": {
      "display":"inline","width":"auto"
    }
  }}
  });
</script>

<script>
    let base_url = "<?php echo e(url('/api/ujian/latihan')); ?>"
    let kode_latihan = "<?php echo e(Request::segment(3)); ?>"
    let sesi = "<?php echo e(Request::segment(4)); ?>"
    let ujian_url = base_url + '/' + kode_latihan + '/' + sesi

    Vue.use(VueToast);

    var app = new Vue({
        el: '#panel',
        data: {
            reportSoal: {
                show: false,
                soal_id: null,
                laporan: ''
            },
            modal: {
                show: false,
                msg: ''
            },
            currentTime: 0,
            currentIndex: 0,
            prevIndex: 0,
            countDown: {
                starting: false,
                minute: 0,
                second: 0
            },
            isFailed: false,
            isLoaded: false,
            isTimeUp: false,
            isDone: false,
            isSubmitting: false,
            ujian: {}
        },
        methods: {
            nl2br(body) {
                return (body + '').replace(/([^>\r\n]?)(\r\n|\n\r|\r|\n)/g, '$1' + '<br>' + '$2');
            },
            createDynamicMarkup: function(event) {
                this.$nextTick(function() {
                    MathJax.Hub.Queue(["Typeset", MathJax.Hub]);
                });
            },
            convertMenit(centisecond) {
                const secs = Math.floor(centisecond / 100)
                const csc = centisecond - (secs * 100)
                const min = Math.floor(secs / 60)
                const sec = secs - (min * 60)

                const str_min = min.toString()
                const str_sec = sec.toString()
                const str_csc = csc.toString()

                const menit = (str_min.length == 1) ? "0" + str_min : str_min
                const detik = (str_sec.length == 1) ? "0" + str_sec : str_sec
                const centidetik = (str_csc.length == 1) ? "0" + str_csc : str_csc

                return menit + ':' + detik + ':' + centidetik
            },
            showModalLaporSoal(id) {
                this.reportSoal.show = true
                this.reportSoal.soal_id = id
            },
            closeModalLaporSoal() {
                this.reportSoal.show = false
                this.reportSoal.soal_id = null
                this.reportSoal.laporan = ''
            },
            showToast(msg, type, duration = 5000) {
                Vue.$toast.open({
                    message: msg,
                    type: type,
                    position: "top-right",
                    duration: duration,
                });
            },
            getKategori(kategori) {
                // let kategori = this.ujian.paket.soal[this.currentIndex].kategori
                if (kategori === 'tiu') {
                    return "Tes Intelegensi Umum (TIU)"
                }

                if (kategori === 'tkp') {
                    return "Tes Karakteristik Pribadi (TKP)"
                }

                if (kategori === 'twk') {
                    return "Tes Wawasan Kebangsaan (TWK)"
                }
            },
            getSubmitedTime() {
                let epoch = parseInt(this.ujian.ujian.finished)
                return new Date(epoch * 1000).toLocaleString('id-ID', {
                    'dateStyle': 'full',
                    'timeStyle': 'full'
                })
            },
            saveLocal(key, value) {
                localStorage[key] = JSON.stringify(value)
            },
            loadLocal(key) {
                const ujianInLocal = localStorage[key]
                return JSON.parse(ujianInLocal)
            },
            nextQuestion: function() {
                this.prevIndex = this.currentIndex
                if (this.currentIndex + 1 < this.ujian.paket.jumlah_soal) {
                    this.currentIndex++
                    this.saveJawaban()
                    this.createDynamicMarkup()
                }
            },
            prevQuestion: function() {
                this.prevIndex = this.currentIndex
                if (this.currentIndex > 0) {
                    this.currentIndex--
                    this.saveJawaban()
                    this.createDynamicMarkup()
                }
            },
            toQuestion: function(index) {
                this.prevIndex = this.currentIndex
                this.currentIndex = index
                this.saveJawaban()
                this.createDynamicMarkup()
            },
            chooseAnswer: function(index, answer) {
                let soal = this.ujian.paket.soal[index]
                soal.jawaban = answer.toUpperCase()
                soal.ragu = false
                this.saveJawaban()
            },
            raguAnswer: function(index) {
                let soal = this.ujian.paket.soal[index]
                let answer = soal.jawaban

                if (answer) {
                    this.ujian.paket.soal[index].ragu = true
                    this.saveJawaban()
                }
            },
            kunciAnswer: function(index) {
                let soal = this.ujian.paket.soal[index]
                let answer = soal.jawaban

                if (answer) {
                    this.ujian.paket.soal[index].ragu = false
                    this.saveJawaban()
                }
            },
            lepasAnswer: function(index) {
                let soal = this.ujian.paket.soal[index]
                let answer = soal.jawaban

                if (answer) {
                    this.ujian.paket.soal[index].jawaban = null
                    this.ujian.paket.soal[index].ragu = false
                    this.saveJawaban()
                }
            },
            timerSoal() {
                setInterval(() => {
                    if (this.countDown.starting) {
                        if (!this.ujian.paket.soal[this.currentIndex].jawaban || this.ujian.paket.soal[this.currentIndex].ragu) {
                            this.ujian.paket.soal[this.currentIndex].time += 5
                        }
                        // this.ujian.paket.soal[this.currentIndex].time += 5
                    }
                }, 50);
            },
            countDownStart(end) {
                if (end >= Math.round(new Date() / 1000)) {
                    setInterval(() => {
                        let currentTime = Math.round(new Date() / 1000)

                        if (end >= currentTime) {

                            let minuteDifference = Math.floor((end -
                                currentTime) / 60)
                            let secondDifference = (end - currentTime) -
                                minuteDifference *
                                60

                            this.countDown.minute = minuteDifference
                            this.countDown.second = secondDifference
                        } else {
                            this.isTimeUp = true

                            setTimeout(() => {
                                if (this.soal.submited_at == 0) {
                                    this.soal.submited_at = this.soal.end
                                    this.isDone = true

                                }

                            }, 3000);
                        }
                    }, 1000)
                } else {
                    this.isTimeUp = true

                    setTimeout(() => {
                        if (this.soal.submited_at == 0) {
                            this.soal.submited_at = this.soal.end
                            this.isDone = true

                        }

                    }, 3000);
                }
            },
            selesai() {
                if (this.informasiJumlah.blank > 0) {
                    this.modal.msg = `Terdapat ${this.informasiJumlah.blank} soal belum dijawab.`
                } else if (this.informasiJumlah.ragu > 0) {
                    this.modal.msg =
                        `Terdapat ${this.informasiJumlah.ragu} jawaban ragu.`
                }

                this.modal.show = true

            },
            closeModal() {
                this.modal.show = false
                this.modal.msg = ''
                this.modal.submit_pressed = 0
            },
            async submitLaporan() {
                await axios.post("<?php echo e(url('/api/report-soal')); ?>", this.reportSoal)
                    .then(
                        (response) => {
                            this.showToast(response.data.message, "info", 1000)
                            this.closeModalLaporSoal()
                        })
                    .catch((error) => {
                        if (error.response) {
                            const text = `Status: ${error.response.status.toString()}<br>Pesan: ${error.response.data.message}<br>Error: ${JSON.stringify(error.response.data.data)}`
                            this.showToast(text, "error")
                        } else if (error.request) {
                            this.showToast(error.request, "error")
                        } else {
                            this.showToast(error.message, "error")
                        }
                    })
            },
            async saveJawaban() {
                await axios.put(ujian_url, this.ujian.paket.soal[this.currentIndex])
                    .then(
                        (response) => {
                            // localStorage.clear()
                            this.showToast(response.data.message, "info", 1000)
                            // this.isDone = true
                            // Vue.set(this, "isSubmitting", false)
                        })
                    .catch((error) => {
                        if (error.response) {
                            const text = `Status: ${error.response.status.toString()}<br>Pesan: ${error.response.data.message}<br>Error: ${JSON.stringify(error.response.data.data)}`
                            this.showToast(text, "error")
                        } else if (error.request) {
                            this.showToast(error.request, "error")
                        } else {
                            this.showToast(error.message, "error")
                        }
                    })
            },
            async endSession() {
                this.isDone = true
                Vue.set(this, "isSubmitting", true)
                const finished = this.currentTime
                Vue.set(this.ujian.ujian, "finished", finished)
                this.closeModal()

                await axios.post(ujian_url, {
                        latihan_id: this.ujian.latihan.id,
                        finished: finished,
                        ujian: this.ujian.ujian,
                        jawaban: this.ujian.paket.soal
                    })
                    .then(
                        (response) => {
                            localStorage.clear()
                            this.showToast(response.data.message, "info")
                            this.isDone = true
                            Vue.set(this, "isSubmitting", false)
                        })
                    .catch((error) => {
                        if (error.response) {
                            const text = `Status: ${error.response.status.toString()}<br>Pesan: ${error.response.data.message}<br>Error: ${JSON.stringify(error.response.data.data)}`
                            this.showToast(text, "error")
                        } else if (error.request) {
                            this.showToast(error.request, "error")
                        } else {
                            this.showToast(error.message, "error")
                        }

                        this.ujian.ujian.finished = 0

                        this.isDone = false
                        Vue.set(this, "isSubmitting", false)
                    })
            },
            async initialLoad() {
                await axios.get(ujian_url)
                    .then(
                        (resp) => {
                            const data = resp.data.data
                            const to = data.ujian
                            Vue.set(this, 'currentTime', resp.data.current_time)

                            if (!resp.data.is_finished) {
                                // if (!localStorage[kode_latihan]) {
                                //     this.saveLocal(kode_latihan, data)
                                //     Vue.set(this, "ujian", data)
                                // } else {
                                //     const ujianInLocal = this.loadLocal(kode_latihan)
                                //     if (sesi === ujianInLocal.ujian.sesi) {
                                //         Vue.set(this, "ujian", ujianInLocal)
                                //     } else {
                                //         this.saveLocal(kode_latihan, data)
                                //         Vue.set(this, "ujian", data)
                                //     }
                                // }

                                Vue.set(this, "ujian", data)

                                // api berhasil di load
                                this.isLoaded = true;
                                this.timerSoal()
                                const ujian_end = this.ujian.ujian.end

                                //start count down
                                // this.countDown(this.ujian.ujian.end)
                                // if (ujian_end >= this.currentTime) {

                                let timer = setInterval(() => {

                                    let currentTime = this.currentTime
                                    if (ujian_end >= currentTime) {

                                        let minuteDifference = Math.floor((ujian_end -
                                            currentTime) / 60)
                                        let secondDifference = (ujian_end - currentTime) -
                                            minuteDifference *
                                            60

                                        this.countDown.minute = minuteDifference
                                        this.countDown.second = secondDifference
                                        this.countDown.starting = true
                                    } else {
                                        this.isTimeUp = true
                                        this.endSession()

                                        clearInterval(timer);
                                        this.countDown.starting = false

                                        this.isTimeUp = false
                                    }

                                    this.currentTime++;
                                }, 1000)
                                // } else {
                                //     this.endSection2(resp.data.data)
                                // }
                            } else {
                                Vue.set(this, 'ujian', resp.data.data)
                                this.isDone = true
                                this.isLoaded = true
                            }
                        },
                        (error) => {
                            this.isFailed = true
                        }
                    );
            }
        },
        computed: {
            informasiJumlah: function() {
                let data = this.ujian.paket.soal
                let answered = data.filter(function(soal) {
                    return soal.jawaban
                })

                let blank = this.ujian.paket.jumlah_soal - answered.length
                let ragu = data.filter(function(soal) {
                    return soal.ragu
                })

                let informasi = {
                    answered: answered.length,
                    blank: blank,
                    ragu: ragu.length
                }

                return informasi
            },
            formatedCountDown: function() {
                let minute = this.countDown.minute
                let second = this.countDown.second

                let formated = {
                    minute: (minute.toString().length == 1) ? `0${minute}` : minute,
                    second: (second.toString().length == 1) ? `0${second}` : second
                }

                return formated
            },
        },
        watch: {
            currentIndex(newVal, oldVal) {
                if (!this.ujian.paket.soal[oldVal].jawaban) {
                    this.saveLocal(kode_latihan, this.ujian)
                }
            }
        },
        created: function() {
            this.initialLoad();
            this.createDynamicMarkup()
        }
    })
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('dashboard.components.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dosp7473/public_html/cpns/dashboard/resources/views/dashboard/ujian/latihan.blade.php ENDPATH**/ ?>