<?php $__env->startSection('title'); ?>
Dashboard - Invoice
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/css/theme-sugar.css')); ?>" type="text/css">
<link rel="stylesheet" href="<?php echo e(asset('assets/vendor/vue-select/vue-select.css')); ?>" type="text/css">
<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet">
<style>
    .invoice {
        background: #fff;
        padding: 20px
    }

    .invoice-company {
        font-size: 20px
    }

    .invoice-header {
        margin: 0 -20px;
        background: #f0f3f4;
        padding: 20px
    }

    .invoice-date,
    .invoice-from,
    .invoice-to {
        display: table-cell;
        width: 1%
    }

    .invoice-from,
    .invoice-to {
        padding-right: 20px
    }

    .invoice-date .date,
    .invoice-from strong,
    .invoice-to strong {
        font-size: 16px;
        font-weight: 600
    }

    .invoice-date {
        text-align: right;
        padding-left: 20px
    }

    .invoice-price {
        background: #f0f3f4;
        display: table;
        width: 100%
    }

    .invoice-price .invoice-price-left,
    .invoice-price .invoice-price-right {
        display: table-cell;
        padding: 20px;
        font-size: 20px;
        font-weight: 600;
        width: 75%;
        position: relative;
        vertical-align: middle
    }

    .invoice-price .invoice-price-left .sub-price {
        display: table-cell;
        vertical-align: middle;
        padding: 0 20px
    }

    .invoice-price small {
        font-size: 12px;
        font-weight: 400;
        display: block
    }

    .invoice-price .invoice-price-row {
        display: table;
        float: left
    }

    .invoice-price .invoice-price-right {
        width: 25%;
        background: #2d353c;
        color: #fff;
        font-size: 28px;
        text-align: right;
        vertical-align: bottom;
        font-weight: 300
    }

    .invoice-price .invoice-price-right small {
        display: block;
        opacity: .6;
        position: absolute;
        top: 10px;
        left: 10px;
        font-size: 12px
    }

    .invoice-footer {
        border-top: 1px solid #ddd;
        padding-top: 10px;
        font-size: 10px
    }

    .invoice-note {
        color: #999;
        margin-top: 80px;
        font-size: 85%
    }

    .invoice>div:not(.invoice-footer) {
        margin-bottom: 20px
    }

    .btn.btn-white,
    .btn.btn-white.disabled,
    .btn.btn-white.disabled:focus,
    .btn.btn-white.disabled:hover,
    .btn.btn-white[disabled],
    .btn.btn-white[disabled]:focus,
    .btn.btn-white[disabled]:hover {
        color: #2d353c;
        background: #fff;
        border-color: #d9dfe3;
    }
</style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-title'); ?>
<h6 class="h2 text-white d-inline-block mb-0">Invoice</h6>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<li class="breadcrumb-item text-white">

    <i class="fas fa-users"></i>

</li>
<li class="breadcrumb-item text-white">Kelas Berbayar</li>
<li class="breadcrumb-item text-white"><?php echo e(Request::segment(3)); ?></li>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('action-bar'); ?>
<div v-if="isLoaded && !isFailed" class="d-none" :class="{'d-block':isLoaded && !isFailed}">


    

    <!-- <a href="#" class="m-1 btn btn-sm btn-neutral" @click="sort.show=true">Urutkan</a> -->
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="mb-4">
    <div class="d-flex justify-content-center" v-if="!isLoaded && !isFailed"
        :class="{'d-none' : isLoaded && !isFailed}">
        <div class="col-12 card">
            <div class="card-body text-center">
                <div class="spinner">
                    <div class="rect1 bg-primary"></div>
                    <div class="rect2 bg-primary"></div>
                    <div class="rect3 bg-primary"></div>
                    <div class="rect4 bg-primary"></div>
                    <div class="rect5 bg-primary"></div>
                </div>
                <h4 class="mt-4 text-primary">
                    Sedang memuat data..
                </h4>
            </div>
        </div>
    </div>

    <div class="d-flex justify-content-center d-none" :class="{'d-block':isFailed}" v-if="isFailed">
        <div class="col-12 card">
            <div class="card-body text-center text-warning">
                <i class="mt-4 fas fa-exclamation-triangle fa-5x"></i>
                <h4 class="mt-4 text-warning">
                    Gagal memuat data. Silahkan refresh halaman.
                </h4>
            </div>
        </div>
    </div>

    <div v-if="isLoaded" class="d-none" :class="{'d-block':isLoaded}">
        <div class="row">
            <div class="col-md-12">
                <div class="invoice">
                    <!-- begin invoice-company -->
                    <div class="invoice-company text-inverse f-w-600">
                        <!-- <span class="pull-right hidden-print">
                            <a href="javascript:;" class="btn btn-sm btn-white m-b-10 p-l-5"><i class="fa fa-file t-plus-1 text-danger fa-fw fa-lg"></i> Export as PDF</a>
                            <a href="javascript:;" onclick="window.print()" class="btn btn-sm btn-white m-b-10 p-l-5"><i class="fa fa-print t-plus-1 fa-fw fa-lg"></i> Print</a>
                        </span> -->

                    </div>
                    <!-- end invoice-company -->
                    <!-- begin invoice-header -->
                    <div class="invoice-header">
                        
                        <div class="invoice-date text-left">
                            <small>Invoice</small>
                            <div class="date text-inverse m-t-5">
                                {{invoice.merchant_ref}}
                            </div>
                            <div class="invoice-detail">
                                {{invoice.reference}}
                            </div>
                        </div>

                        <div class="invoice-date text-left">
                            <small>Payment Method</small>
                            <div class="date text-inverse m-t-5">
                                {{invoice.payment_method}}
                            </div>
                            <div class="invoice-detail">
                                {{invoice.payment_name}}
                            </div>
                        </div>

                        <div class="invoice-date text-left">
                            <small>Payment Status</small>
                            <div class="date text-inverse m-t-5">
                                {{getPaymentStatus(invoice.status)}}
                            </div>
                            <div class="invoice-detail">
                                <span v-if="invoice.status==='PAID'">
                                    Paid at: {{(new Date(invoice.paid_at*1000)).toLocaleString()}}
                                </span>

                                <span v-if="invoice.status==='UNPAID'">
                                    Expire at: {{(new Date(invoice.expired_time*1000)).toLocaleString()}}
                                </span>
                            </div>
                        </div>
                    </div>
                    <!-- end invoice-header -->
                    <!-- begin invoice-content -->
                    <div class="invoice-content">
                        <!-- begin table-responsive -->
                        <div class="table-responsive">
                            <table class="table table-invoice">
                                <thead>
                                    <tr>
                                        <th>Nama Kelas</th>
                                        <th class="text-center" width="40%">Harga</th>

                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td>
                                            <span class="text-inverse h2">
                                                {{invoice.order_items[0].name}}
                                            </span><br>

                                        </td>
                                        <td class="text-center">
                                            <span class="h2">Rp
                                                {{invoice.order_items[0].subtotal.toLocaleString()}},-</span>
                                        </td>

                                    </tr>

                                </tbody>
                            </table>
                        </div>
                        <!-- end table-responsive -->
                        <!-- begin invoice-price -->
                        <div class="invoice-price">
                            <div class="invoice-price-left">
                                <div class="invoice-price-row">
                                    <div class="sub-price">
                                        <small>SUBTOTAL</small>
                                        <span class="text-inverse">Rp
                                            {{invoice.order_items[0].subtotal.toLocaleString()}},-</span>
                                    </div>
                                    <div class="sub-price">
                                        <i class="fa fa-plus text-muted"></i>
                                    </div>
                                    <div class="sub-price">
                                        <small>Biaya Admin</small>
                                        <span class="text-inverse">Rp
                                            {{invoice.fee_customer.toLocaleString()}},-</span>
                                    </div>
                                </div>
                            </div>
                            <div class="invoice-price-right">
                                <small>TOTAL</small> <span class="f-w-600">Rp
                                    {{invoice.amount.toLocaleString()}},-</span>
                            </div>
                        </div>
                        <!-- end invoice-price -->
                    </div>
                    <!-- end invoice-content -->
                    <!-- begin invoice-note -->

                    <div class="row mt-4">
                        <div class="col-lg-6">
                            <h2 class="mb-4">Intruksi Pembayaran</h2>

                            <div id="accordion">
                                <div class="card" v-for="(e, i) in invoice.instructions" :key="i">
                                    <div class="card-header" :id="'d'+i">
                                        <h5 class="mb-0">
                                            <button class="btn btn-link" data-toggle="collapse" :data-target="'#'+'x'+i"
                                                aria-expanded="true" :aria-controls="'x'+i">
                                                {{e.title}}
                                            </button>
                                        </h5>
                                    </div>

                                    <div :id="'x'+i" class="collapse" :class="{show: i===0}" :aria-labelledby="'d'+i"
                                        data-parent="#accordion">
                                        <div class="card-body">
                                            <ol>
                                                <li v-for="(a, b) in e.steps" :key="b" v-html="a"></li>
                                            </ol>
                                        </div>
                                    </div>
                                </div>

                            </div>

                        </div>

                        <div class="col-lg-6">
                            <div v-if="invoice.qr_url" class="mb-4">
                                <div class="card">
                                    <div class="card-header">
                                        <span class="text-primary">
                                            QR Code Pembayaran QRIS
                                        </span>
                                    </div>
                                    <div class="card-body">
                                        <img class="rounded mx-auto d-block" :src="invoice.qr_url" height="200px"
                                            alt="invoice.qr_string">
                                        <br>
                                        <small class="text-left">Silahkan scan QR Code di atas menggunakan aplikasi
                                            dompet digital seperti: OVO, GOPAY, LINK AJA, SHOPEE PAY, dan
                                            lain-lain</small>
                                    </div>
                                </div>

                            </div>


                            <div class="card">
                                <div class="card-header text-primary">
                                    <span class="text-primary">Catatan Penting</span>
                                </div>

                                <div class="card-body">
                                    <p>
                                        Konfirmasi pembayaran dilakukan secara otomatis. Silahkan tunggu <b>paling lambat 5
                                        jam</b> setelah pembayaran untuk konfirmasi secara otomatis.
                                    </p>

                                    <p>
                                        Setelah melakukan pembayaran silahkan <b>simpan bukti pembayaran</b> dengan aman. Bukti
                                        pembayaran digunakan untuk konfirmasi manual jika konfirmasi otomatis gagal.
                                    </p>

                                    <p>
                                        Setelah pembayaran berhasil <b>jika terdapat grup telegram link undangan akan
                                        dikirimkan via email atau bisa dicek di menu <a href="/kelas-saya">"Kelas
                                            Saya"</a> kemudian klik tombol "Grup Telegram".</b>
                                    </p>

                                    <div v-if="cekCp()">
                                        <p>
                                            Jika terdapat kendala atau pertanyaan dapat menghubungi contact person
                                            berikut:
                                        </p>

                                        Admin:
                                        <b class="text-primary">{{info_cp.nama_cp}}</b>
                                        <br>
                                        WhatsApp: <b>
                                            <a :href="'https://wa.me/+62'+info_cp.nomor_cp">
                                                +62{{info_cp.nomor_cp}}
                                            </a>
                                        </b>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                    <!-- end invoice-note -->
                    <!-- begin invoice-footer -->
                    <!-- <div class="invoice-footer">
                        <p class="text-center m-b-5 f-w-600">
                            THANK YOU FOR YOUR BUSINESS
                        </p>
                        <p class="text-center">
                            <span class="m-r-10"><i class="fa fa-fw fa-lg fa-globe"></i> matiasgallipoli.com</span>
                            <span class="m-r-10"><i class="fa fa-fw fa-lg fa-phone-volume"></i> T:016-18192302</span>
                            <span class="m-r-10"><i class="fa fa-fw fa-lg fa-envelope"></i> rtiemps@gmail.com</span>
                        </p>
                    </div> -->
                    <!-- end invoice-footer -->
                </div>
            </div>

        </div>

    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>

<script src="<?php echo e(asset('assets/js/vue-toast-notification.js')); ?>"></script>

<script>
    const invoice_url = "<?php echo e(url('/api/invoice/kelas-berbayar')); ?>"
    const reference = "<?php echo e(Request::segment(3)); ?>"

    Vue.use(VueToast);


    var app = new Vue({
        el: '#panel',
        data: {
            isFailed: false,
            isLoaded: false,
            invoice: null,
            info_cp: null

        },
        methods: {

            async initialLoad() {

                await axios
                    .get(invoice_url + '/' + reference)
                    .then((response) => {
                        Vue.set(this, 'invoice', response.data.data.data)
                        Vue.set(this, 'info_cp', response.data.data.info_cp)

                        this.isLoaded = true

                    }, (error) => {
                        this.isLoaded = false
                        this.isFailed = true
                    })
            },
            cekCp() {
                const nama = (this.info_cp.nama_cp) ? true : false
                const nomor = (this.info_cp.nomor_cp) ? true : false
                return nama && nomor
            },
            getPaymentStatus(status) {
                switch (status) {
                    case 'PAID':
                        return 'PAID (Sudah Dibayar)'
                        break;

                    case 'UNPAID':
                        return 'UNPAID (Belum Dibayar)'
                        break;

                    case 'REFUND':
                        return 'REFUND (Dikembalikan)'
                        break;

                    case 'EXPIRED':
                        return 'EXPIRED (Kadaluarsa)'
                        break;

                    case 'FAILED':
                        return 'FAILED (Gagal)'
                        break;

                    default:
                        return 'PAID (Sudah Dibayar)'
                        break;
                }
            }
        },
        computed: {

        },
        created() {

            this.initialLoad()
        }
    })
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('dashboard.components.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dosp7473/public_html/cpns/dashboard/resources/views/dashboard/kelas-berbayar/user/invoice/index.blade.php ENDPATH**/ ?>