<?php $__env->startSection('title'); ?>
Dashboard
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/css/theme-sugar.css')); ?>" type="text/css">
<link rel="stylesheet" href="<?php echo e(asset('assets/css/element-ui/index.css')); ?>" type="text/css">
<link rel="stylesheet" href="<?php echo e(asset('assets/vendor/vue-select/vue-select.css')); ?>" type="text/css">


<style>
     img {
        max-width: 100%;
    }

    .modal-dialog.scroll {
        overflow-y: initial !important
    }

    .modal-body.scroll {
        max-height: 70vh;
        overflow-y: auto;
    }

    .page-item .page-link {
        width: 2rem;
        height: 2rem;

        font-size: 0.75rem;
    }

    .overlay-container {
        position: relative;
    }

    .overlay-image {
        opacity: 1;
        display: block;

        transition: .5s ease;
        backface-visibility: hidden;
    }

    .overlay-middle {
        transition: .5s ease;
        opacity: 0;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
        text-align: center;
    }

    .overlay-container:hover .overlay-image {
        opacity: 0.3;
    }

    .overlay-container:hover .overlay-middle {
        opacity: 1;
    }

    .overlay-text {
        background-color: #4CAF50;
        color: white;
        font-size: 16px;
        padding: 16px 32px;
    }
</style>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('search-box'); ?>
<div class="navbar-search navbar-search-light form-inline mr-sm-3" id="navbar-search-main">
    <div class="form-group mb-0" :class="{'focused':table.filters[0].value||table.filters[0].focus}">
        <div class="input-group input-group-alternative input-group-merge">
            <div class="input-group-prepend">
                <span class="input-group-text"><i class="fas fa-search"></i></span>
            </div>
            <input @blur.self="table.filters[0].focus = false" @click="table.filters[0].focus=true" v-model.trim="table.filters[0].value" class="form-control" placeholder="Cari" type="text">

            <div v-if="table.filters[0].value" class="input-group-append mr-2 d-none d-md-flex" @click="table.filters[0].value =  ''">
                <button class="input-group-text"><i class="fas fa-backspace"></i></button>
            </div>

            <div class="input-group-append d-md-none d-flex">
                <button v-if="table.filters[0].value" @click="table.filters[0].value =  ''" class="input-group-text pr-0 pl-2"><i class="fas fa-backspace"></i></button>

                <button data-action="search-close" class="mr-2 input-group-text"><i class="fas fa-times"></i></button>
            </div>
        </div>
    </div>

</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('mobile-search'); ?>
<?php echo $__env->make('dashboard.components.mobile-search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-title'); ?>
<h6 class="h2 text-white d-inline-block mb-0">
    {{(dataAnalisis && dataAnalisis.latihan && dataAnalisis.latihan.nama)?dataAnalisis.latihan.nama.toUpperCase():''}}
</h6>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<li class="breadcrumb-item text-white">
    <i class="ni ni-ungroup"></i>
</li>
<li class="breadcrumb-item text-white"><?php echo e(ucfirst(Request::segment(1))); ?></li>
<li class="breadcrumb-item text-white"><?php echo e(ucfirst(Request::segment(2))); ?></li>
<li class="breadcrumb-item text-white"><?php echo e(Request::segment(3)); ?></li>
<li class="breadcrumb-item text-white">Analisis</li>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('content'); ?>
<div class="mb-4">
    <div class="d-flex justify-content-center" v-if="!isLoaded && !isFailed" :class="{'d-none' : isLoaded && !isFailed}">
        <div class="col-12 card">
            <div class="card-body text-center">
                <div class="spinner">
                    <div class="rect1 bg-primary"></div>
                    <div class="rect2 bg-primary"></div>
                    <div class="rect3 bg-primary"></div>
                    <div class="rect4 bg-primary"></div>
                    <div class="rect5 bg-primary"></div>
                </div>
                <h4 class="mt-4 text-primary">
                    Sedang memuat data..
                </h4>
            </div>
        </div>
    </div>

    <div class="d-flex justify-content-center d-none" :class="{'d-block':isFailed}" v-if="isFailed">
        <div class="col-12 card">
            <div class="card-body text-center text-warning">
                <i class="mt-4 fas fa-exclamation-triangle fa-5x"></i>
                <h4 class="mt-4 text-warning">
                    Gagal memuat data. Silahkan refresh halaman.
                </h4>
            </div>
        </div>
    </div>

    <div v-if="isLoaded" class="d-none" :class="{'d-block':isLoaded}">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="text-primary">Analisis Soal ({{dataAnalisis.latihan.nama.toUpperCase()}})</h3>
                        <h5 class="text-primary">Kelas: {{dataAnalisis.latihan.kelas.nama.toUpperCase()}}</h5>

                    </div>
                    <div class="card-body">
                        <data-tables v-if="dataAnalisis.latihan.kategori === 'tkp'" ref="dt" style="width: 100%" :page-size.sync="table.pagination.perPage" :current-page.sync="table.pagination.current" @current-page-change="handleCurrentPageChange" :filters="table.filters" :table-props="table.props" :data="analisis" :pagination-props="table.pagination">

                            <el-table-column label="No" prop="nomor" sortable="true" min-width="100%" align="center">
                                <template slot-scope="scope">
                                    {{ scope . row .nomor}}
                                </template>
                            </el-table-column>

                            <el-table-column label="Soal" prop="soal" sortable="true" min-width="500%">
                                <template slot-scope="scope">
                                    <div class="" v-html="scope . row .soal">

                                    </div>
                                </template>
                            </el-table-column>

                            <el-table-column label="P5" prop="poin5" sortable="true" min-width="100%" align="center">
                                <template slot-scope="scope">
                                    <button @click="openModal(scope.row.index, 'poin5', 'Poin 5')" type="button" class="btn btn-outline-primary">
                                        {{ scope . row .poin5}}
                                    </button>
                                </template>
                            </el-table-column>

                            <el-table-column label="P4" prop="poin4" sortable="true" min-width="100%" align="center">
                                <template slot-scope="scope">
                                    <button @click="openModal(scope.row.index, 'poin4', 'Poin 4')" type="button" class="btn btn-outline-success">
                                        {{ scope . row .poin4}}
                                    </button>
                                </template>
                            </el-table-column>

                            <el-table-column label="P3" prop="poin3" sortable="true" min-width="100%" align="center">
                                <template slot-scope="scope">
                                    <button @click="openModal(scope.row.index, 'poin3', 'Poin 3')" type="button" class="btn btn-outline-info">
                                        {{ scope . row .poin3}}
                                    </button>

                                </template>
                            </el-table-column>

                            <el-table-column label="P2" prop="poin2" sortable="true" min-width="100%" align="center">
                                <template slot-scope="scope">
                                    <button @click="openModal(scope.row.index, 'poin2', 'Poin 2')" type="button" class="btn btn-outline-warning">
                                        {{ scope . row .poin2}}
                                    </button>

                                </template>
                            </el-table-column>

                            <el-table-column label="P1" prop="poin1" sortable="true" min-width="100%" align="center">
                                <template slot-scope="scope">
                                    <button @click="openModal(scope.row.index, 'poin1', 'Poin 1')" type="button" class="btn btn-outline-danger">
                                        {{ scope . row .poin1}}
                                    </button>

                                </template>
                            </el-table-column>

                            <el-table-column label="Kosong" prop="kosong" sortable="true" min-width="100%" align="center">
                                <template slot-scope="scope">
                                    <button @click="openModal(scope.row.index, 'kosong', 'Kosong')" type="button" class="btn btn-outline-default">
                                        {{ scope . row .kosong}}
                                    </button>

                                </template>
                            </el-table-column>

                        </data-tables>

                        <data-tables v-else ref="dt" style="width: 100%" :page-size.sync="table.pagination.perPage" :current-page.sync="table.pagination.current" @current-page-change="handleCurrentPageChange" :filters="table.filters" :table-props="table.props" :data="analisis" :pagination-props="table.pagination">

                            <el-table-column label="No" prop="nomor" sortable="true" min-width="100%" align="center">
                                <template slot-scope="scope">
                                    {{ scope . row .nomor}}
                                </template>
                            </el-table-column>

                            <el-table-column label="Soal" prop="soal" sortable="true" min-width="500%">
                                <template slot-scope="scope">
                                    <div class="" v-html="scope . row .soal">

                                    </div>
                                </template>
                            </el-table-column>

                            <el-table-column label="Benar" prop="benar" sortable="true" min-width="100%" align="center">
                                <template slot-scope="scope">
                                    <button @click="openModal(scope.row.index, 'benar', 'Benar')" type="button" class="btn btn-outline-primary">
                                        {{ scope . row .benar}}
                                    </button>

                                </template>
                            </el-table-column>

                            <el-table-column label="Salah" prop="salah" sortable="true" min-width="100%" align="center">
                                <template slot-scope="scope">
                                    <button @click="openModal(scope.row.index, 'salah', 'Salah')" type="button" class="btn btn-outline-danger">
                                        {{ scope . row .salah}}
                                    </button>

                                </template>
                            </el-table-column>

                            <el-table-column label="Kosong" prop="kosong" sortable="true" min-width="100%" align="center">
                                <template slot-scope="scope">
                                    <button @click="openModal(scope.row.index, 'kosong', 'Kosong')" type="button" class="btn btn-outline-default">
                                        {{ scope . row .kosong}}
                                    </button>

                                </template>
                            </el-table-column>

                        </data-tables>

                    </div>

                    <div class="card-footer d-flex  justify-content-around align-items-end pt-2">

                        <div class="col-md-2 col-sm-6 px-2 d-flex flex-column">
                            <label class="h5" for="perpage">Item/Halaman</label>

                            <select id="perpage" v-model="table.pagination.perPage" class="form-control form-control-sm" id="inlineFormCustomSelect">
                                <option v-for="item in pageSizes.length" :key="item" :value="pageSizes[item-1]">
                                    {{ pageSizes[item - 1] + '/page' }}</option>
                            </select>
                        </div>

                        <div class="col-md-8 col-sm-12 d-flex flex-column justify-content-center text-center">
                            <h5>Jumlah data: {{ table.itemSize }}</h5>
                            <paginate :value="table.pagination.current" :page-count="numberPages" :page-range="3" :click-handler="clickCallback" :prev-text="''" :next-text="''" :container-class="'pagination justify-content-center mb-0'" :page-class="'page-item'" :page-link-class="'page-link btn-sm'" :prev-class="'page-item'" :prev-link-class="'fas fa-angle-left page-link'" :next-class="'page-item'" :next-link-class="'fas fa-angle-right page-link'" :hide-prev-next="false" :break-view-text="''" :break-view-link-class="'fas fa-ellipsis-h'">
                            </paginate>
                        </div>

                        <div class="col-md-2 col-sm-6 px-2 d-flex flex-column">
                            <label class="h5" for="to-page">Ke Halaman</label>
                            <input type="number" min="1" max="numberPage" v-model.number="table.pagination.current" id="to-page" class="form-control form-control-sm">
                        </div>

                    </div>
                </div>
            </div>

        </div>

        <div v-if="modal.show" class="d-none" :class="{'d-block':modal.show}">
            <div class="modal fade show modal-active" tabindex="-1" role="dialog">
                <div class="modal-dialog scroll modal-dialog-centered modal-lg" role="document">
                    <div class="modal-content">
                        <div class="modal-header py-2 px-3 align-items-center">
                            <h5 class="modal-title">
                                <span class="text-primary align-middle">
                                    {{modal.judul.toUpperCase()}}
                                </span>
                            </h5>
                            <button type="button" class="close" @click="closeModal">
                                <i class="fas fa-times-circle text-primary"></i>
                            </button>
                        </div>
                        <div class="modal-body scroll px-3 pt-3 pb-4">
                            <data-tables ref="dt1" style="width: 100%" :page-size.sync="table.pagination.perPage" :current-page.sync="table.pagination.current" @current-page-change="handleCurrentPageChange" :filters="table.filters" :table-props="table.props" :data="dataAnalisis.analisis[modal.index].info[modal.key].user" :pagination-props="modal.table.pagination">

                                <el-table-column label="Nama " prop="nama" sortable="true" min-width="200%">
                                    <template slot-scope="scope">
                                        {{ scope . row .nama.toUpperCase()}}
                                    </template>
                                </el-table-column>

                                <el-table-column label="Email " prop="email" sortable="true" min-width="200%">
                                    <template slot-scope="scope">
                                        {{ scope . row .email}}
                                    </template>
                                </el-table-column>

                                <el-table-column label="Durasi" prop="time" sortable="true" min-width="100%">
                                    <template slot-scope="scope">

                                        <h2>
                                            <span class="badge badge-pill badge-primary">
                                                <i class="fas fa-stopwatch mr-1">
                                                </i>
                                                <span>
                                                    {{ convertMenit(scope . row .time)}}

                                                </span>
                                            </span>
                                            </span>
                                        </h2>

                                    </template>
                                </el-table-column>
                            </data-tables>

                        </div>

                    </div>
                </div>
            </div>
        </div>

    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/js/element-ui/index.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/element-ui/locales/en.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/element-ui/data-tables.js')); ?>"></script>

<script src="<?php echo e(asset('assets/vendor/vue-select/vue-select.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/vue-paginate.js')); ?>"></script>

<script src="<?php echo e(asset('assets/js/vue-toast-notification.js')); ?>"></script>

<script src="<?php echo e(asset('assets/js/vue/confirm-delete.js')); ?>"></script>

<script>
    const base = "<?php echo e(url('/')); ?>/api"
    const kode = "<?php echo e(Request::segment(3)); ?>"
    const analisis = base + "/analisis/latihan/" + kode

    ELEMENT.locale(ELEMENT.lang.en)
    Vue.use(VueToast);
    Vue.use(DataTables.DataTables)

    Vue.component('v-select', VueSelect.VueSelect);
    Vue.component('paginate', VuejsPaginate)

    var app = new Vue({
        el: '#panel',
        data: {
            modal: {
                show: false,
                judul: '',
                index: null,
                key: '',
                table: {
                    pagination: {
                        pageSizes: [10, 30, 50],
                        current: 1,
                        perPage: 10
                    }
                },
            },
            table: {
                itemSize:0,
                header: [],
                props: {

                },
                filters: [{
                    prop: this.filterProps,
                    value: '',
                    focus: false
                }],
                pagination: {
                    pageSizes: [10, 30, 50],
                    current: 1,
                    perPage: 10
                }
            },
            isFailed: false,
            isLoaded: false,
            dataAnalisis: []
        },
        methods: {
            convertMenit(centisecond) {
                const secs = Math.floor(centisecond / 100)
                const csc = centisecond - (secs * 100)
                const min = Math.floor(secs / 60)
                const sec = secs - (min * 60)

                const str_min = min.toString()
                const str_sec = sec.toString()
                const str_csc = csc.toString()

                const menit = (str_min.length == 1) ? "0" + str_min : str_min
                const detik = (str_sec.length == 1) ? "0" + str_sec : str_sec
                const centidetik = (str_csc.length == 1) ? "0" + str_csc : str_csc

                return menit + ':' + detik + ':' + centidetik
            },
            openModal(index, key ,judul) {
                let modal = this.modal
                modal.judul = judul
                modal.index = index
                modal.key = key
                modal.show = true
            },
            closeModal() {
                let modal = this.modal
                modal.judul = ''
                modal.index = null
                modal.show = false
            },
            clickCallback(page) {
                this.table.pagination.current = page
            },
            handleCurrentPageChange(page) {
                this.table.pagination.current = page
            },
            async initialLoad() {
                await axios
                    .get(analisis)
                    .then((response) => {
                        Vue.set(this, "dataAnalisis", response.data.data)

                        this.isLoaded = true
                    }, (error) => {
                        this.isLoaded = false
                        this.isFailed = true
                    })
            }
        },
        computed: {
            numberPages() {
                return Math.ceil(this.table.itemSize / this.table.pagination.perPage)
            },
            pageSizes() {
                if (this.analisis.length > 100) {
                    return [
                        5, 10, 30, 50, 100
                    ]
                }

                return [
                    5, 10, 30, 50, this.analisis.length
                ]
            },
            analisis() {
                const data = this.dataAnalisis.analisis.map((e, i) => {
                    let analisis = {
                        index: i,
                        id: e.id,
                        nomor: e.nomor,
                        soal: e.soal,
                        kosong: e.info.kosong.jml,
                    }

                    if (e.kategori === 'tkp') {
                        analisis.poin5 = e.info.poin5.jml;
                        analisis.poin4 = e.info.poin4.jml;
                        analisis.poin3 = e.info.poin3.jml;
                        analisis.poin2 = e.info.poin2.jml;
                        analisis.poin1 = e.info.poin1.jml;
                    } else {
                        analisis.benar = e.info.benar.jml;
                        analisis.salah = e.info.salah.jml;
                    }

                    return analisis;
                });

                return data
            },
        },
        watch: {
            'table.pagination.current'(newVal) {
                if (!newVal || newVal == 0) {
                    this.table.pagination.current = 1
                }
                if (newVal > this.numberPages) {
                    this.table.pagination.current = this.numberPages
                }
            }
        },
        created() {
            this.initialLoad()

        },
        updated() {
            Vue.set(this.table, 'itemSize', this.$refs.dt.total)

            if (this.$refs.dt.$refs.elPagination) {
                this.$refs.dt.$refs.elPagination.$el.className = 'd-none'
            }
        },
    })
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('dashboard.components.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dosp7473/public_html/cpns/dashboard/resources/views/dashboard/soal/analisis/latihan.blade.php ENDPATH**/ ?>