<?php $__env->startSection('title'); ?>
Dashboard - Riwayat Pembayaran
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/css/theme-sugar.css')); ?>" type="text/css">
<link rel="stylesheet" href="<?php echo e(asset('assets/css/element-ui/index.css')); ?>" type="text/css">
<link rel="stylesheet" href="<?php echo e(asset('assets/vendor/vue-select/vue-select.css')); ?>" type="text/css">

<style>
    .page-item .page-link {
        width: 2rem;
        height: 2rem;

        font-size: 0.75rem;
    }

    .overlay-container {
        position: relative;
    }

    .overlay-image {
        opacity: 1;
        display: block;

        transition: .5s ease;
        backface-visibility: hidden;
    }

    .overlay-middle {
        transition: .5s ease;
        opacity: 0;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
        text-align: center;
    }

    .overlay-container:hover .overlay-image {
        opacity: 0.3;
    }

    .overlay-container:hover .overlay-middle {
        opacity: 1;
    }

    .overlay-text {
        background-color: #4CAF50;
        color: white;
        font-size: 16px;
        padding: 16px 32px;
    }
</style>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('search-box'); ?>
<div class="navbar-search navbar-search-light form-inline mr-sm-3" id="navbar-search-main">
    <div class="form-group mb-0" :class="{'focused':table.filters[0].value||table.filters[0].focus}">
        <div class="input-group input-group-alternative input-group-merge">
            <div class="input-group-prepend">
                <span class="input-group-text"><i class="fas fa-search"></i></span>
            </div>
            <input @blur.self="table.filters[0].focus = false" @click="table.filters[0].focus=true"
                v-model.trim="table.filters[0].value" class="form-control" placeholder="Cari Data Riwayat" type="text">

            <div v-if="table.filters[0].value" class="input-group-append mr-2 d-none d-md-flex"
                @click="table.filters[0].value =  ''">
                <button class="input-group-text"><i class="fas fa-backspace"></i></button>
            </div>

            <div class="input-group-append d-md-none d-flex">
                <button v-if="table.filters[0].value" @click="table.filters[0].value =  ''"
                    class="input-group-text pr-0 pl-2"><i class="fas fa-backspace"></i></button>

                <button data-action="search-close" class="mr-2 input-group-text"><i class="fas fa-times"></i></button>
            </div>
        </div>
    </div>

</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('mobile-search'); ?>
<?php echo $__env->make('dashboard.components.mobile-search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-title'); ?>
<h6 class="h2 text-white d-inline-block mb-0">
    Riwayat Pembayaran
</h6>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<li class="breadcrumb-item text-white">
    <i class="fas fa-money-check-alt"></i>
</li>
<li class="breadcrumb-item text-white">Kelas Berbayar</li>
<li class="breadcrumb-item text-white">Riwayat Pembayaran</li>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('action-bar'); ?>

<div class="mt-3 d-sm-none"></div>

<div v-if="isLoaded && !isFailed" class="d-flex justify-content-end">
    <download-excel :data="riwayats" :name="'Riwayat Transaksi'">
        <button class="m-1 btn btn-sm btn-neutral">Export Data</button>
    </download-excel>

</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="mb-4">
    <div class="d-flex justify-content-center" v-if="!isLoaded && !isFailed"
        :class="{'d-none' : isLoaded && !isFailed}">
        <div class="col-12 card">
            <div class="card-body text-center">
                <div class="spinner">
                    <div class="rect1 bg-primary"></div>
                    <div class="rect2 bg-primary"></div>
                    <div class="rect3 bg-primary"></div>
                    <div class="rect4 bg-primary"></div>
                    <div class="rect5 bg-primary"></div>
                </div>
                <h4 class="mt-4 text-primary">
                    Sedang memuat data..
                </h4>
            </div>
        </div>
    </div>

    <div class="d-flex justify-content-center d-none" :class="{'d-block':isFailed}" v-if="isFailed">
        <div class="col-12 card">
            <div class="card-body text-center text-warning">
                <i class="mt-4 fas fa-exclamation-triangle fa-5x"></i>
                <h4 class="mt-4 text-warning">
                    Gagal memuat data. Silahkan refresh halaman.
                </h4>
            </div>
        </div>
    </div>

    <div v-if="isLoaded" class="d-none" :class="{'d-block':isLoaded}">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="text-primary">List Riwayat Pembayaran</h3>
                    </div>
                    <div class="card-body">
                        <data-tables ref="dt" style="width: 100%" :page-size.sync="table.pagination.perPage"
                            :current-page.sync="table.pagination.current"
                            @current-page-change="handleCurrentPageChange" :filters="table.filters"
                            :table-props="table.props" :data="riwayats" :pagination-props="table.pagination">


                            <el-table-column label="User" min-width="200" prop="user_nama" sortable="true">
                                <template slot-scope="scope">
                                    <span class="h4">
                                        {{ scope . row . user_nama }}
                                    </span>
                                    <br>
                                    <span class="h5">
                                        {{ scope . row . user_email }}</span>
                                </template>
                            </el-table-column>


                            <el-table-column label="Kelas Berbayar" min-width="150" prop="kelas_berbayar_nama"
                                sortable="true">
                                <template slot-scope="scope">
                                    {{ scope . row . kelas_berbayar_nama }}
                                </template>
                            </el-table-column>

                            <el-table-column label="Reference" min-width="200" prop="reference" sortable="true">
                                <template slot-scope="scope">
                                    {{ scope . row . reference }}
                                </template>
                            </el-table-column>

                            <el-table-column label="Metode" min-width="200" prop="payment_name" sortable="true">
                                <template slot-scope="scope">
                                    {{ scope . row . payment_name }}
                                </template>
                            </el-table-column>


                            <el-table-column label="Jumlah" min-width="150" prop="total_amount" sortable="true"
                                align="center">
                                <template slot-scope="scope">

                                    Rp {{ scope . row . total_amount.toLocaleString()}},-

                                </template>
                            </el-table-column>


                            <el-table-column label="Status" prop="status" min-width="150" sortable="true"
                                align="center">
                                <template slot-scope="scope">
                                    <span class="h2">
                                        <span class="badge badge-pill"
                                            :class="{'badge-primary':scope.row.status === 'PAID','badge-warning':scope.row.status === 'UNPAID', 'badge-danger':scope.row.status === 'EXPIRED'}">
                                            <span>
                                                {{ scope . row . status }}
                                            </span>
                                        </span>
                                    </span>

                                </template>
                            </el-table-column>

                            <el-table-column label="Tanggal" min-width="150" prop="created_at" sortable="true"
                                align="center">
                                <template slot-scope="scope">
                                    <div class="d-flex flex-column h2">
                                        <span class="badge badge-pill badge-primary">
                                            <i class="fas fa-calendar-check">
                                            </i>
                                            <span>
                                                {{ new Date(scope . row . created_at*1000).toLocaleDateString('id-ID')}}
                                            </span>
                                        </span>

                                        <span class="mt-1 badge badge-pill badge-primary">
                                            <i class="fas fa-clock">
                                            </i>
                                            <span>
                                                {{ new Date(scope . row . created_at*1000).toLocaleTimeString('id-ID')}}
                                            </span>
                                        </span>
                                    </div>
                                </template>
                            </el-table-column>

                            <el-table-column label="Actions" min-width="110%" align="center">
                                <template slot-scope="scope">
                                    <a :href="'<?php echo e(url('/invoice/kelas-berbayar')); ?>/'+scope.row.reference">
                                        <button class="btn btn-outline-primary">Invoice</button>
                                    </a>
                                </template>
                            </el-table-column>

                        </data-tables>
                    </div>
                    <div class="card-footer d-flex  justify-content-around align-items-end pt-2">

                        <div class="col-md-2 col-sm-6 px-2 d-flex flex-column">
                            <label class="h5" for="perpage">Item/Halaman</label>

                            <select id="perpage" v-model="table.pagination.perPage" class="form-control form-control-sm"
                                id="inlineFormCustomSelect">
                                <option v-for="item in pageSizes.length" :key="item" :value="pageSizes[item-1]">
                                    {{ pageSizes[item - 1] + '/page' }}</option>
                            </select>
                        </div>

                        <div class="col-md-8 col-sm-12 d-flex flex-column justify-content-center text-center">
                            <h5>Jumlah data: {{ table.itemSize }}</h5>
                            <paginate :value="table.pagination.current" :page-count="numberPages" :page-range="3"
                                :click-handler="clickCallback" :prev-text="''" :next-text="''"
                                :container-class="'pagination justify-content-center mb-0'" :page-class="'page-item'"
                                :page-link-class="'page-link btn-sm'" :prev-class="'page-item'"
                                :prev-link-class="'fas fa-angle-left page-link'" :next-class="'page-item'"
                                :next-link-class="'fas fa-angle-right page-link'" :hide-prev-next="false"
                                :break-view-text="''" :break-view-link-class="'fas fa-ellipsis-h'">
                            </paginate>
                        </div>

                        <div class="col-md-2 col-sm-6 px-2 d-flex flex-column">
                            <label class="h5" for="to-page">Ke Halaman</label>
                            <input type="number" min="1" max="numberPage" v-model.number="table.pagination.current"
                                id="to-page" class="form-control form-control-sm">
                        </div>

                    </div>
                </div>
            </div>

        </div>

    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/js/element-ui/index.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/element-ui/locales/en.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/element-ui/data-tables.js')); ?>"></script>

<script src="<?php echo e(asset('assets/vendor/vue-select/vue-select.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/vue-paginate.js')); ?>"></script>

<script src="<?php echo e(asset('assets/js/vue-toast-notification.js')); ?>"></script>

<script src="<?php echo e(asset('assets/js/vue-json-excel.umd.js')); ?>"></script>

<script>
    const base_url = "<?php echo e(url('/api/kelas-berbayar/riwayat-pembayaran')); ?>"
    const id_kelas_berbayar = "<?php echo e(Request::input('kelas_berbayar_id')); ?>"
    const transaksi_by_kelas = base_url+'?kelas_berbayar_id='+id_kelas_berbayar

    ELEMENT.locale(ELEMENT.lang.en)
    Vue.use(VueToast);
    Vue.use(DataTables.DataTables)

    Vue.component('v-select', VueSelect.VueSelect);
    Vue.component('paginate', VuejsPaginate)
    Vue.component('download-excel', JsonExcel)

    var app = new Vue({
        el: '#panel',
        data: {
            video: {
                show: false,
                judul: '',
                video: ''
            },
            table: {
                itemSize: 0,
                header: [],
                props: {

                },
                filters: [{
                    prop: ['reference', 'merchant_ref', 'payment_name', 'total_amount', 'status', 'expired_time', 'user_nama', 'user_email', 'kelas_berbayar_nama'],
                    value: '',
                    focus: false
                }],
                pagination: {
                    pageSizes: [10, 30, 50],
                    current: 1,
                    perPage: 10
                }
            },
            isFailed: false,
            isLoaded: false,
            riwayats: []
        },
        methods: {
            timeStamp(time) {
                return Math.ceil(time / 1000)
            },
            clickCallback(page) {
                this.table.pagination.current = page
            },
            handleCurrentPageChange(page) {
                this.table.pagination.current = page
            },
            showToast(msg, type) {
                Vue.$toast.open({
                    message: msg,
                    type: type,
                    position: "top-right",
                    duration: 3000,
                    // all of other options may go here
                });
            },
            async initialLoad() {
                await axios
                    .get((id_kelas_berbayar)?transaksi_by_kelas:base_url)
                    .then((response) => {
                        Vue.set(this, 'riwayats', response.data.data)

                        this.isLoaded = true

                    }, (error) => {
                        this.isLoaded = false
                        this.isFailed = true
                    })
            }
        },
        computed: {
            numberPages() {
                return Math.ceil(this.table.itemSize / this.table.pagination.perPage)
            },
            pageSizes() {
                if (this.riwayats.length > 100) {
                    return [
                        5, 10, 30, 50, 100
                    ]
                }

                return [
                    5, 10, 30, 50, this.riwayats.length
                ]
            },
            filtered() {
                let search = this.table.filters[0].value.toLowerCase().trim()
                let filtered = [...this.riwayats]

                if (!search) return this.riwayats

                return filtered.filter(c => c.nama.toLowerCase().indexOf(search) > -1);
            },
        },
        watch: {
            'table.pagination.current'(newVal) {
                if (!newVal || newVal == 0) {
                    this.table.pagination.current = 1
                }
                if (newVal > this.numberPages) {
                    this.table.pagination.current = this.numberPages
                }
            }
        },
        created() {
            this.initialLoad()

        },
        updated() {
            Vue.set(this.table, 'itemSize', this.$refs.dt.total)

            if (this.$refs.dt.$refs.elPagination) {
                this.$refs.dt.$refs.elPagination.$el.className = 'd-none'
            }
        },
    })
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('dashboard.components.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dosp7473/public_html/cpns/dashboard/resources/views/dashboard/kelas-berbayar/riwayat/admin/index.blade.php ENDPATH**/ ?>